Bug 1649578 - [abrt] nextcloud-client: QHttpNetworkConnectionChannel::sendRequest(): nextcloud killed by SIGSEGV
Summary: [abrt] nextcloud-client: QHttpNetworkConnectionChannel::sendRequest(): nextcl...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2ae34685314f53195c904b73249...
: 1663527 1667706 1669337 1672845 1679758 1688910 1690310 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 22:20 UTC by Kai A. Hiller
Modified: 2019-07-05 13:39 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-13 23:29:00 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (62.50 KB, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details
File: cgroup (195 bytes, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details
File: core_backtrace (7.92 KB, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details
File: dso_list (17.94 KB, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details
File: environ (3.83 KB, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details
File: exploitable (82 bytes, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details
File: maps (111.96 KB, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details
File: mountinfo (4.35 KB, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details
File: open_fds (183.89 KB, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2018-11-13 22:20 UTC, Kai A. Hiller
no flags Details

Description Kai A. Hiller 2018-11-13 22:20:02 UTC
Version-Release number of selected component:
nextcloud-client-2.3.3-2.fc28

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/nextcloud
crash_function: QHttpNetworkConnectionChannel::sendRequest
executable:     /usr/bin/nextcloud
journald_cursor: s=54f1f63d78cf44abb6228c89aa62e045;i=3894;b=f5aa3261da4b4a37baaabe45db5e05e5;m=b99361632;t=57a4205651f16;x=e35e98c29a1ccc68
kernel:         4.18.16-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QHttpNetworkConnectionChannel::sendRequest at access/qhttpnetworkconnectionchannel.cpp:251
 #1 QHttpNetworkConnectionPrivate::_q_startNextRequest at access/qhttpnetworkconnection.cpp:1044
 #2 QObject::event at kernel/qobject.cpp:1251
 #3 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3727
 #4 QApplication::notify at kernel/qapplication.cpp:3486
 #5 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:1048
 #6 QCoreApplication::sendEvent at kernel/qcoreapplication.h:234
 #7 QCoreApplicationPrivate::sendPostedEvents at kernel/qcoreapplication.cpp:1745
 #8 postEventSourceDispatch at kernel/qeventdispatcher_glib.cpp:276
 #12 g_main_context_iteration at gmain.c:3981

Comment 1 Kai A. Hiller 2018-11-13 22:20:11 UTC
Created attachment 1505475 [details]
File: backtrace

Comment 2 Kai A. Hiller 2018-11-13 22:20:12 UTC
Created attachment 1505476 [details]
File: cgroup

Comment 3 Kai A. Hiller 2018-11-13 22:20:14 UTC
Created attachment 1505477 [details]
File: core_backtrace

Comment 4 Kai A. Hiller 2018-11-13 22:20:15 UTC
Created attachment 1505478 [details]
File: cpuinfo

Comment 5 Kai A. Hiller 2018-11-13 22:20:17 UTC
Created attachment 1505479 [details]
File: dso_list

Comment 6 Kai A. Hiller 2018-11-13 22:20:18 UTC
Created attachment 1505480 [details]
File: environ

Comment 7 Kai A. Hiller 2018-11-13 22:20:20 UTC
Created attachment 1505481 [details]
File: exploitable

Comment 8 Kai A. Hiller 2018-11-13 22:20:21 UTC
Created attachment 1505482 [details]
File: limits

Comment 9 Kai A. Hiller 2018-11-13 22:20:23 UTC
Created attachment 1505483 [details]
File: maps

Comment 10 Kai A. Hiller 2018-11-13 22:20:25 UTC
Created attachment 1505484 [details]
File: mountinfo

Comment 11 Kai A. Hiller 2018-11-13 22:20:27 UTC
Created attachment 1505485 [details]
File: open_fds

Comment 12 Kai A. Hiller 2018-11-13 22:20:28 UTC
Created attachment 1505486 [details]
File: proc_pid_status

Comment 13 aoellerer 2019-01-04 17:29:54 UTC
*** Bug 1663527 has been marked as a duplicate of this bug. ***

Comment 14 Farhad Kia 2019-01-20 06:19:11 UTC
*** Bug 1667706 has been marked as a duplicate of this bug. ***

Comment 15 czieske 2019-01-24 23:52:30 UTC
*** Bug 1669337 has been marked as a duplicate of this bug. ***

Comment 16 Ignace BIENVILLE 2019-02-06 02:44:21 UTC
*** Bug 1672845 has been marked as a duplicate of this bug. ***

Comment 17 Gwendal 2019-02-12 08:12:01 UTC
Similar problem has been detected:

i think the nextcloud server crashed, which made the nextcloud client crash

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        nextcloud
crash_function: QHttpNetworkConnectionChannel::sendRequest
executable:     /usr/bin/nextcloud
journald_cursor: s=5c6c4b06dc6a4c22ac562dc016049483;i=3263;b=f2a44ef4e620410897904a5e051bffe0;m=6ed15927;t=581ade1fb5295;x=7c5bf97c1aeb6251
kernel:         4.20.6-200.fc29.x86_64
package:        nextcloud-client-2.3.3-2.fc28
reason:         nextcloud killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 martin.lepetit 2019-02-21 19:28:05 UTC
*** Bug 1679758 has been marked as a duplicate of this bug. ***

Comment 19 Bryan Paget 2019-03-14 17:23:11 UTC
*** Bug 1688910 has been marked as a duplicate of this bug. ***

Comment 20 Sam Tygier 2019-03-19 09:28:02 UTC
*** Bug 1690310 has been marked as a duplicate of this bug. ***

Comment 21 Germano Massullo 2019-04-19 16:18:29 UTC
Anybody filling ABRT reports, please test 2.5.2 https://bodhi.fedoraproject.org/updates/FEDORA-2019-5705bd6549

Comment 22 Sam Tygier 2019-07-05 13:39:07 UTC
Still an issue in nextcloud-client-2.5.2-2.fc29 bug 1727306


Note You need to log in before you can comment on or make changes to this bug.